<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Mailer;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;

interface QuoteEmailManagerInterface
{
    public function sendConfirmationEmail(QuoteInterface $quote): void;

    public function sendDenyEmail(QuoteInterface $quote): void;

    public function sendAcceptEmail(QuoteInterface $quote): void;
}
